<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?><!--  Copyright (c) 2000-2005 MetaMatrix, Inc.  All rights reserved. --><plugin id="com.metamatrix.modeler.ui" name="%pluginName" version="5.0.2"
        provider-name="%providerName"
        class="com.metamatrix.modeler.ui.UiPlugin">

   <runtime>
      <library name="modelerUi_PATCH.jar">
         <export name="*"/>
      </library>
      <library name="modelerUi.jar">
         <export name="*"/>
      </library>
   </runtime>
   <requires>
      <import plugin="org.eclipse.ui.cheatsheets"/>
      <import plugin="org.eclipse.ui.ide"/>
      <import plugin="org.eclipse.ui.views"/>
      <import plugin="org.eclipse.jface.text"/>
      <import plugin="org.eclipse.ui.workbench.texteditor"/>
      <import plugin="org.eclipse.ui.editors"/>
      <import plugin="org.eclipse.core.resources"/>
      <import plugin="org.eclipse.search" export="true"/>
      <import plugin="org.eclipse.ui"/>
      <import plugin="org.eclipse.help"/>
      <import plugin="org.eclipse.emf.edit.ui" export="true"/>
      <import plugin="com.metamatrix.modeler.core"/>
      <import plugin="org.eclipse.core.runtime"/>
      <import plugin="com.metamatrix.core"/>
      <import plugin="com.metamatrix.ui"/>
      <import plugin="com.metamatrix.query.ui"/>
      <import plugin="com.metamatrix.modeler.jdbc"/>
      <import plugin="com.metamatrix.modeler.jdbc.relational"/>
      <import plugin="com.metamatrix.modeler.ddl"/>
      <import plugin="com.metamatrix.query"/>
      <import plugin="com.metamatrix.core.xslt"/>
      <import plugin="com.metamatrix.metamodels.relational"/>
      <import plugin="com.metamatrix.vdb.edit"/>
      <import plugin="com.metamatrix.license" export="true"/>
      <import plugin="com.metamatrix.metamodels.xml"/>
      <import plugin="com.metamatrix.metamodels.dataaccess"/>
      <import plugin="com.metamatrix.metamodels.xsd"/>
      <import plugin="com.metamatrix.metamodels.xmlservice"/>
      <import plugin="com.metamatrix.core.xml"/>
      <import plugin="com.metamatrix.modeler.compare"/>
      <import plugin="com.metamatrix.modeler.mapping"/>
      <import plugin="com.metamatrix.modeler.transformation"/>
      <import plugin="org.eclipse.ui.forms" export="true"/>
      <import plugin="com.metamatrix.modeler.webservice"/>
      <import plugin="org.apache.ant"/>
   </requires>


   <extension-point id="diagramContentProvider" name="%diagramContentProvider"
                    schema="schema/diagramContentProvider.exsd"/>
   <extension-point id="diagramLabelProvider" name="%diagramLabelProvider"
                    schema="schema/diagramLabelProvider.exsd"/>
   <extension-point id="exportWizards" name="%exportWizards" schema="schema/exportWizards.exsd"/>
   <extension-point id="importWizards" name="%importWizards" schema="schema/importWizards.exsd"/>
   <extension-point id="modelEditorPage" name="%modelEditorPage"
                    schema="schema/modelEditorPage.exsd"/>
   <extension-point id="modelObjectActionContributor" name="%modelObjectActionContributor"
                    schema="schema/modelObjectActionContributor.exsd"/>
   <extension-point id="modelObjectEditorPage" name="%modelObjectEditorPage"
                    schema="schema/modelObjectEditorPage.exsd"/>
   <extension-point id="newAssociationWizard" name="%newAssociationWizard"
                    schema="schema/newAssociationWizard.exsd"/>
   <extension-point id="newModelObjectWizard" name="%newModelObjectWizard"
                    schema="schema/newModelObjectWizard.exsd"/>
   <extension-point id="newModelWizardContributor" name="%newModelWizardContributor"
                    schema="schema/newModelWizardContributor.exsd"/>
   <extension-point id="newChildAction" name="%newChildAction" schema="schema/newChildAction.exsd"/>
   <extension-point id="newSiblingAction" name="%newSiblingAction"
                    schema="schema/newSiblingAction.exsd"/>
   <extension-point id="metadataPasteSpecial" name="%metadataPasteSpecial"
                    schema="schema/metadataPasteSpecial.exsd"/>
   <extension-point id="metadataRefresh" name="%metadataRefresh"
                    schema="schema/metadataRefresh.exsd"/>
   <extension-point id="propertyEditorFactory" name="%propertyEditorFactory"
                    schema="schema/propertyEditorFactory.exsd"/>
   <extension-point id="diagramHelper" name="%diagramHelper" schema="schema/diagramHelper.exsd"/>
   <extension-point id="modelObjectEditHelper" name="%modelObjectEditHelper"
                    schema="schema/modelObjectEditHelper.exsd"/>
   <extension-point id="modelerPerspectiveContributor" name="%modelerPerspectiveContributor"
                    schema="schema/modelerPerspectiveContributor.exsd"/>
   <extension-point id="modelResourceAction" name="%modelResourceAction"
                    schema="schema/modelResourceAction.exsd"/>
   <extension-point id="modelObjectSpecialAction" name="%modelObjectSpecialAction"
                    schema="schema/modelObjectSpecialAction.exsd"/>
   <extension-point id="generalPreferenceContributor" name="%generalPreferenceContributor"
                    schema="schema/generalPreferenceContributor.exsd"/>
   <extension-point id="vetoableShutdownListener" name="%vetoableShutdownListener"
                    schema="schema/vetoableShutdownListener.exsd"/>

   <!-- Model Project Nature -->
   <extension point="org.eclipse.ui.ide.projectNatureImages">
      <image icon="icons/full/ovr16/model_ovr.gif"
             natureId="com.metamatrix.modeler.core.modelNature"
             id="org.eclipse.ui.javaProjectNatureImage">
      </image>
   </extension>
   <!-- Table Editor -->
   <extension id="tableEditorPage" name="%modelTableEditor"
              point="com.metamatrix.modeler.ui.modelEditorPage">
      <class tabName="%modelTableEditor" order="2"
             name="com.metamatrix.modeler.internal.ui.table.ModelTableEditor">
      </class>
   </extension>
   <extension id="structuralCopyWizard" name="%structuralCopyWizard"
              point="com.metamatrix.modeler.ui.newModelWizardContributor">
      <class name="com.metamatrix.modeler.internal.ui.wizards.StructuralCopyContributor"
             icon="icons/full/ctool16/newmodel_wiz.gif">
      </class>
      <metamodelDescriptorType name="all" isPhysical="true" isVirtual="true">
      </metamodelDescriptorType>
   </extension>
   <!-- Relationship Search Page -->
   <extension point="org.eclipse.search.searchPages">
      <page showScopeSection="false" tabPosition="1" label="%metadataSearchPage.name"
            icon="icons/full/ctool16/metadata_search.gif"
            extensions="xmi:1"
            class="com.metamatrix.modeler.internal.ui.search.MetadataSearchPage"
            id="com.metamatrix.modeler.ui.search.metadataSearchPage">
      </page>
   </extension>
   <!-- Action set to get Metadata Search Action in Search Menu -->

   <extension point="org.eclipse.ui.commands">
      <category name="%category.modeler.name" description="%category.modeler.description"
                id="com.metamatrix.modeler.ui.category.modeler">
      </category>
   </extension>      
      
   <extension point="org.eclipse.ui.actionSets">
      <actionSet label="%metadataSearchActionSet.name" visible="true"
                 id="com.metamatrix.modeler.ui.search.metadataSearchActionSet">
		       <menu id="org.eclipse.search.menu" label="%searchMenu.label" path="navigate">
			         <groupMarker name="internalDialogGroup"/>   
            <!-- not to be used by clients  -->
			   <groupMarker name="dialogGroup"/>           
            <!-- to be used by clients      -->
			   <groupMarker name="quickPage"/>           
            <!-- to be used by clients      -->
			   <separator name="contextMenuActionsGroup"/>
		       </menu>            
         <action label="%openMetadataSearchAction.text"
                 icon="icons/full/ctool16/metadata_search.gif"
                 tooltip="%openMetadataSearchAction.tip"
                 class="com.metamatrix.modeler.internal.ui.search.OpenMetadataSearchPageAction"
                 toolbarPath="toolbar.search/search.start"
                 menubarPath="mainmenu.search/search.start"
                 id="com.metamatrix.modeler.ui.search.openMetadataSearchPageAction">
         </action>              
      </actionSet>
   </extension>
   <extension point="org.eclipse.ui.actionSets">
      <actionSet label="%RefactorActionSet.label" description="%RefactorActionSet.description"
                 visible="false"
                 id="com.metamatrix.modeler.ui.RefactorActionSet">
<!-- =========================================================================== -->
<!-- Refactoring Menu                                                            -->
<!-- =========================================================================== -->
         <menu label="%Refactoring.menu.label" path="edit"
               id="com.metamatrix.modeler.ui.refactoring.menu">
            <separator name="undoRedoGroup">
            </separator>
            <separator name="reorgGroup">
            </separator>
            <separator name="additions">
            </separator>
         </menu>
         <!-- undo/redo group  -->
         <action label="%refactoring.redoAction.label"
                 class="com.metamatrix.modeler.internal.ui.refactor.actions.RedoRefactoringAction"
                 menubarPath="com.metamatrix.modeler.ui.refactoring.menu/undoRedoGroup"
                 id="RedoAction">
         </action>
         <!--definitionId="org.eclipse.jdt.ui.edit.text.java.refactor.redo"-->
         <action label="%refactoring.undoAction.label"
                 class="com.metamatrix.modeler.internal.ui.refactor.actions.UndoRefactoringAction"
                 menubarPath="com.metamatrix.modeler.ui.refactoring.menu/undoRedoGroup"
                 id="UndoAction">
         </action>
         <!--definitionId="org.eclipse.jdt.ui.edit.text.java.refactor.undo"-->
<!-- reorg group  -->
         <action label="%refactoring.moveAction.label"
                 class="com.metamatrix.modeler.internal.ui.refactor.actions.MoveRefactorAction"
                 menubarPath="com.metamatrix.modeler.ui.refactoring.menu/reorgGroup"
                 id="com.metamatrix.modeler.ui.actions.Move">
         </action>
         <!--
			definitionId="com.metamatrix.modeler.ui.edit.text.java.move.element"
			retarget="true" /> -->
         <action label="%refactoring.renameAction.label"
                 class="com.metamatrix.modeler.internal.ui.refactor.actions.RenameRefactorAction"
                 menubarPath="com.metamatrix.modeler.ui.refactoring.menu/reorgGroup"
                 id="com.metamatrix.modeler.ui.actions.Rename">
         </action>
      </actionSet>
   </extension>
   <!-- Model Explorer decorator -->
   <extension point="org.eclipse.ui.decorators">
      <decorator lightweight="true" objectClass="org.eclipse.core.resources.IResource"
                 location="BOTTOM_LEFT"
                 adaptable="true"
                 label="%modelResourceProblemDecorator"
                 state="true"
                 class="com.metamatrix.modeler.internal.ui.explorer.ModelExplorerLabelProvider"
                 id="com.metamatrix.modeler.ui.explorer.modelExplorerLabelProvider">
         <description>
            %problemDecorator.desc
         </description>
      </decorator>
      <decorator lightweight="true" objectClass="org.eclipse.emf.ecore.EObject"
                 location="BOTTOM_LEFT"
                 adaptable="true"
                 label="%modelObjectProblemDecorator"
                 state="true"
                 class="com.metamatrix.modeler.internal.ui.viewsupport.ModelObjectLabelProvider"
                 id="com.metamatrix.modeler.ui.viewsupport.modelObjectLabelProvider">
         <description>
            %problemDecorator.desc
         </description>
      </decorator>
   </extension>
   <extension point="org.eclipse.ui.editors">
<!-- Model Editor -->
      <editor name="%modelEditor" icon="icons/full/obj16/GeneralModel.gif" extensions="xmi"
              contributorClass="com.metamatrix.modeler.internal.ui.editors.ModelEditorActionContributor"
              class="com.metamatrix.modeler.internal.ui.editors.ModelEditor"
              id="com.metamatrix.modeler.ui.editors.modelEditor">
      </editor>
      <!-- Schema Editor -->
      <editor name="%modelEditor" icon="icons/full/obj16/XSDSchema.gif" extensions="xsd"
              contributorClass="com.metamatrix.modeler.internal.ui.editors.ModelEditorActionContributor"
              class="com.metamatrix.modeler.internal.ui.editors.ModelEditor"
              id="com.metamatrix.modeler.ui.editors.schemaEditor">
      </editor>
   </extension>
   <!-- MetaMatrix Export Wizards -->
   <extension point="com.metamatrix.modeler.ui.exportWizards">
<!-- DDL Export Wizard -->
      <wizard name="%exportDdlWizard.name" icon="icons/full/ctool16/exportddl_wiz.gif"
              class="com.metamatrix.modeler.internal.ui.wizards.ExportDdlWizard"
              id="com.metamatrix.modeler.internal.ui.wizards.exportDdlWizard">
         <description>
            %exportDdlWizard.description
         </description>
      </wizard>
   </extension>
   <!-- New wizards -->
   <extension point="org.eclipse.ui.newWizards">
      <category name="%modelCategory" id="com.metamatrix.modeler.ui">
      </category>
      <!-- New model wizard -->
      <wizard name="%newModelWizard" icon="icons/full/ctool16/newmodel_wiz.gif"
              category="com.metamatrix.modeler.ui"
              class="com.metamatrix.modeler.internal.ui.wizards.NewModelWizard"
              id="com.metamatrix.modeler.ui.wizards.newModel">
         <description>
            %newModelWizardDescription
         </description>
      </wizard>
   </extension>
   <!-- Modeler preferences -->
   <extension point="org.eclipse.ui.preferencePages">
      <page name="%modelerValidationPreferences"
            category="com.metamatrix.modeler.ui.preferences.modelerPreferencePage"
            class="com.metamatrix.modeler.internal.ui.preferences.ValidationPreferencePage"
            id="com.metamatrix.modeler.ui.preferences.validationPreferencePage">
      </page>
   </extension>
   <!-- Filters
	  Add filters in alphabetical order.
	  These filters are added above the *.class and .* patterns which already existed.
-->
   <extension point="org.eclipse.ui.ide.resourceFilters">
      <filter selected="true" pattern=".project">
      </filter>
   </extension>
   <!-- Modeler view category -->
   <extension point="org.eclipse.ui.views">
<!-- Description view -->
      <view name="%descriptionView" icon="icons/full/cview16/descriptionView.gif"
            category="com.metamatrix.modeler.ui"
            class="com.metamatrix.modeler.internal.ui.views.DescriptionView"
            id="com.metamatrix.modeler.ui.views.descriptionView">
      </view>
      <!-- Datatype Hierarchy view -->
      <view name="%datatypeHierarchyView.name" icon="icons/full/cview16/typeHierarchy.gif"
            category="com.metamatrix.modeler.ui"
            class="com.metamatrix.modeler.internal.ui.views.DatatypeHierarchyView"
            id="com.metamatrix.modeler.ui.views.datatypeHierarchyView">
      </view>
      <!-- Error Log view -->
      <view name="%errorLog.name" icon="icons/full/cview16/error_log.gif"
            category="com.metamatrix.modeler.ui"
            class="com.metamatrix.ui.internal.logview.LogView"
            id="com.metamatrix.modeler.ui.views.logView">
      </view>
      <!-- System Models view -->
      <view name="%systemModelView.name" icon="icons/full/cview16/system_model.gif"
            category="com.metamatrix.modeler.ui"
            class="com.metamatrix.modeler.internal.ui.views.SystemModelView"
            id="com.metamatrix.modeler.ui.views.systemModelView">
      </view>
      <!-- Problems view -->
      <view name="%problemView" icon="icons/full/eview16/problems_view.gif"
            category="com.metamatrix.modeler.ui"
            class="com.metamatrix.modeler.internal.ui.views.markers.internal.ModelerProblemView"
            id="com.metamatrix.modeler.ui.views.problemView">
      </view>      
   </extension>
   <!-- Open editors toolbar button/menu -->
   <extension point="org.eclipse.ui.actionSets">
      <actionSet label="%navigationActionSet.label" visible="true"
                 id="com.metamatrix.modeler.ui.navigationActionSet">
         <action label="%findModelObject.name" tooltip="%findModelObject.tooltip"
                 icon="icons/full/ctool16/opentype.gif"
                 class="com.metamatrix.modeler.internal.ui.actions.FindModelObjectAction"
                 toolbarPath="toolbar.search/search.start"
                 menubarPath="mainmenu.search/search.start"
                 enablesFor="-2"
                 id="com.metamatrix.modeler.internal.ui.actions.FindModelObjectAction">
         </action>             
      </actionSet>
   </extension>
   <!-- Save All toolbar button -->

   <extension point="org.eclipse.ui.actionSets">
      <actionSet label="%fileActionSet.label" visible="true"
                 id="com.metamatrix.modeler.ui.fileActionSet">
         <action label="%importMetadata.name"
                 icon="platform:/plugin/org.eclipse.ui.ide/icons/full/etool16/import_wiz.gif"
                 disabledIcon="platform:/plugin/org.eclipse.ui.ide/icons/full/dtool16/import_wiz.gif"
                 tooltip="%importMetadata.tooltip"
                 class="com.metamatrix.modeler.internal.ui.actions.ImportAction"
                 menubarPath="mainmenu.file/import.ext"
                 enablesFor="-1"
                 id="com.metamatrix.modeler.internal.ui.actions.ImportAction">
         </action>
      </actionSet>
   </extension>

   <extension id="%modelImportContributions.id" name="ModelImportContributions"
              point="org.eclipse.ui.popupMenus">
<!-- Action to Refresh Import List in the Outline view -->
      <objectContribution objectClass="com.metamatrix.modeler.internal.ui.viewsupport.ImportContainer"
                          id="com.metamatrix.modeler.ui.updateImports">
         <action label="%organizeImportsAction.label"
                 class="com.metamatrix.modeler.internal.ui.actions.OrganizeImportsAction"
                 id="organizeImportsAction">
         </action>
      </objectContribution>
   </extension>
   <extension id="com.metamatrix.modeler.ui.jdbcRefresh"
              name="%refreshModelContribution.name"
              point="com.metamatrix.modeler.ui.metadataRefresh">
      <class label="%refreshModelContribution.label"
             description="%refreshModelContribution.description"
             classname="com.metamatrix.modeler.internal.ui.actions.RefreshModelAction">
      </class>
   </extension>
   <extension point="com.metamatrix.ui.editorPreferences">
         <editorPreferenceComponent class="com.metamatrix.modeler.internal.ui.preferences.TableEditorPreferencesComponent"/>
   </extension>
   <!-- Custom properties factory/editor for the Core metamodel Namespace URI feature -->   
   <extension id="com.metamatrix.modeler.ui.properties.coreModelPropertyEditorFactory"
              name="%coreModelPropertyEditorFactory"
              point="com.metamatrix.modeler.ui.propertyEditorFactory">
      <class name="com.metamatrix.modeler.internal.ui.properties.CoreModelPropertyEditorFactory">
      </class>
   </extension>

   <!-- Context Help -->
	<extension point="org.eclipse.help.contexts">
		    <contexts file="helpContexts.xml"/>
	  </extension>

   <extension id="com.metamatrix.modeler.internal.ui.actions.ShowModelStatisticsAction"
              name="%showModelStatisticsAction.name"
              point="com.metamatrix.modeler.ui.modelResourceAction">
      <resourceAction name="com.metamatrix.modeler.internal.ui.actions.ShowModelStatisticsAction"
                      label="%showModelStatisticsAction.label">
      </resourceAction>
   </extension>
   <extension id="com.metamatrix.modeler.internal.ui.actions.BuildModelImportsAction"
              name="%buildModelImportsAction.name"
              point="com.metamatrix.modeler.ui.modelResourceAction">
      <resourceAction name="com.metamatrix.modeler.internal.ui.actions.BuildModelImportsAction"
                      label="%buildModelImportsAction.label">
      </resourceAction>
   </extension>
   <extension id="com.metamatrix.modeler.internal.ui.actions.ConvertToEnterpriseTypesAction"
              name="%convertToEnterpriseTypesAction.name"
              point="com.metamatrix.modeler.ui.modelResourceAction">
      <resourceAction name="com.metamatrix.modeler.internal.ui.actions.ConvertToEnterpriseTypesAction"
                      label="%convertToEnterpriseTypesAction.label">
      </resourceAction>
   </extension>  
   <!-- Actions contributed to the object/model generation -->
   <extension id="com.metamatrix.modeler.internal.ui.actions.GenerateXsdSchemaAction2"
              name="%generateXsdSchemaAction.name"
              point="com.metamatrix.modeler.ui.modelObjectSpecialAction">
      <specialAction name="com.metamatrix.modeler.internal.ui.actions.GenerateXsdSchemaAction2"
                     label="%generateXsdSchemaAction.label">
      </specialAction>
   </extension>
   <!-- Initializer for IDE preferences -->
   <extension point="org.eclipse.core.runtime.preferences">
      <initializer class="com.metamatrix.modeler.internal.ui.product.ModelerRcpPreferenceInitializer"/>
   </extension>
   <!-- The Auto Open Editor General Preference -->
   <extension point="com.metamatrix.modeler.ui.generalPreferenceContributor">
      <category id="modeler.ui.modelCategory" name="%modelCategory">
      </category>
      <!-- Auto Open Editor General Preference -->
      <preference id="com.metamatrix.modeler.ui.preferences.autoOpenEditorPreferenceContributor"
                  categoryId="modeler.ui.modelCategory"
                  class="com.metamatrix.modeler.internal.ui.preferences.AutoOpenEditorPreferenceContributor">
      </preference>
            <preference id="com.metamatrix.modeler.ui.preferences.autoUpdateImportsPreferenceContributor"
                  categoryId="modeler.ui.modelCategory"
                  class="com.metamatrix.modeler.internal.ui.preferences.AutoUpdateImportsPreferenceContributor">
      </preference>
	  </extension>
	
</plugin>